[arch-commits] Commit in flatpak-builder/repos/extra-x86_64 (PKGBUILD PKGBUILD)

Bartłomiej Piotrowski bpiotrowski at archlinux.org
Fri Mar 29 10:39:28 UTC 2019


    Date: Friday, March 29, 2019 @ 10:39:26
  Author: bpiotrowski
Revision: 349405

archrelease: copy trunk to extra-x86_64

Added:
  flatpak-builder/repos/extra-x86_64/PKGBUILD
    (from rev 349404, flatpak-builder/trunk/PKGBUILD)
Deleted:
  flatpak-builder/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |  128 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 64 insertions(+), 64 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-03-29 10:39:21 UTC (rev 349404)
+++ PKGBUILD	2019-03-29 10:39:26 UTC (rev 349405)
@@ -1,64 +0,0 @@
-# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
-
-pkgname=flatpak-builder
-pkgver=1.0.5
-pkgrel=2
-pkgdesc="Tool to build flatpaks from source"
-url="https://flatpak.org"
-arch=(x86_64)
-license=(LGPL2.1)
-depends=(flatpak binutils elfutils unzip tar git bzr patch rpmextract cpio appstream-glib)
-makedepends=(intltool gobject-introspection git docbook-xsl xmlto libdwarf)
-checkdepends=(python2 valgrind)
-replaces=('flatpak<0.9.10')
-_commit=1f43471c70daabd586892a07d9f466e082025cf5  # tags/1.0.5^0
-source=("git+https://github.com/flatpak/flatpak-builder#commit=$_commit"
-        "git+https://gitlab.gnome.org/GNOME/libglnx.git")
-sha256sums=('SKIP'
-            'SKIP')
-
-prepare() {
-  cd $pkgname
-
-  git submodule init
-  git config --local submodule.libglnx.url "$srcdir/libglnx"
-  git submodule update
-
-  # https://github.com/flatpak/flatpak/issues/267
-  sed -i '/locale\/C\./d' tests/make-test-runtime.sh
-
-  NOCONFIGURE=1 ./autogen.sh
-}
-
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed 's/-/+/g'
-}
-
-build() {
-  cd $pkgname
-
-  ./configure \
-    --prefix=/usr \
-    --sysconfdir=/etc \
-    --localstatedir=/var \
-    --sbindir=/usr/bin \
-    --libexecdir=/usr/lib \
-    --disable-static \
-    --with-dwarf-header=/usr/include/libdwarf
-
-  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
-
-  make
-}
-
-check() {
-  cd $pkgname
-  # Xattr tests fail on tmpfs
-  make -k check || :
-}
-
-package() {
-  cd $pkgname
-  make DESTDIR="$pkgdir" install
-}

Copied: flatpak-builder/repos/extra-x86_64/PKGBUILD (from rev 349404, flatpak-builder/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-03-29 10:39:26 UTC (rev 349405)
@@ -0,0 +1,64 @@
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+
+pkgname=flatpak-builder
+pkgver=1.0.6
+pkgrel=1
+pkgdesc="Tool to build flatpaks from source"
+url="https://flatpak.org"
+arch=(x86_64)
+license=(LGPL2.1)
+depends=(flatpak binutils elfutils unzip tar git bzr patch rpmextract cpio appstream-glib)
+makedepends=(intltool gobject-introspection git docbook-xsl xmlto libdwarf)
+checkdepends=(python2 valgrind)
+replaces=('flatpak<0.9.10')
+_commit=6b4a09bf958871d7172863a2489eea7ecb91e5f1  # tags/1.0.6^0
+source=("git+https://github.com/flatpak/flatpak-builder#commit=$_commit"
+        "git+https://gitlab.gnome.org/GNOME/libglnx.git")
+sha256sums=('SKIP'
+            'SKIP')
+
+prepare() {
+  cd $pkgname
+
+  git submodule init
+  git config --local submodule.libglnx.url "$srcdir/libglnx"
+  git submodule update
+
+  # https://github.com/flatpak/flatpak/issues/267
+  sed -i '/locale\/C\./d' tests/make-test-runtime.sh
+
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/-/+/g'
+}
+
+build() {
+  cd $pkgname
+
+  ./configure \
+    --prefix=/usr \
+    --sysconfdir=/etc \
+    --localstatedir=/var \
+    --sbindir=/usr/bin \
+    --libexecdir=/usr/lib \
+    --disable-static \
+    --with-dwarf-header=/usr/include/libdwarf
+
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  cd $pkgname
+  # Xattr tests fail on tmpfs
+  make -k check || :
+}
+
+package() {
+  cd $pkgname
+  make DESTDIR="$pkgdir" install
+}


More information about the arch-commits mailing list